"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.chalk = exports.yellow = exports.green = exports.underline = void 0;
const colors_1 = require("../constants/colors");
/**
 * Make text underlined.
 * @param {string} text
 * @returns {string}
 */
function underline(text) {
    return `${colors_1.UNDERLINED}${text}${colors_1.EOS}`;
}
exports.underline = underline;
function italic(text) {
    return `${colors_1.ITALIC}${text}${colors_1.EOS}`;
}
exports.green = (text) => {
    return `${colors_1.GREEN}${text}${colors_1.EOS}`;
};
exports.yellow = (text) => {
    return `${colors_1.YELLOW}${text}${colors_1.EOS}`;
};
const red = (text) => {
    return `${colors_1.RED}${text}${colors_1.EOS}`;
};
exports.chalk = {
    green: exports.green,
    yellow: exports.yellow,
    red,
    underline,
    italic,
};
